Summary: DPO tools
Name: cued-dpo-tools
Version: 2
Release: 10
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: CUED
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: CUED
Requires: te_mpost

Source0: cued-dpo-tools.tar.gz
Source1: opac.tar.gz

%description
DPO command line tools and utilities.

%prep
%setup -n %{name}
/usr/bin/gzip -dc %{SOURCE1} | tar -xvvf -
%build
## run-on-terminal
#pushd run-on-terminal
#xmkmf
#make
#popd
%install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/usr/local/%{_lib}
mkdir -p $RPM_BUILD_ROOT/usr/local/include
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man1
#mkdir -p $RPM_BUILD_ROOT/knoppeng/server/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
# install crons, scripts, manpages.
make INST_ROOT=$RPM_BUILD_ROOT install
# other stuff
#install -m 0755 run-on-terminal/run-on-terminal $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 scripts/sysnews $RPM_BUILD_ROOT/usr/local/bin
pushd $RPM_BUILD_ROOT/usr/local/bin
ln -s /usr/local/bin/sysnews events
popd
#install -m 0755 knoppix-scripts/passwdfile.sync $RPM_BUILD_ROOT/knoppeng/server/sbin
pushd opac
make libpasswd
install -m 0755 libpasswd $RPM_BUILD_ROOT/usr/local/bin
popd
pushd psheader
make
make INSTALLROOT=$RPM_BUILD_ROOT install
popd
# Metacard
install	-m 0755 bin/mc $RPM_BUILD_ROOT/usr/local/bin
%files
/usr/local/bin/*
/usr/local/sbin/*
/usr/local/man/man1/*
#/knoppeng/server/sbin/*
/etc/cron.d/*
